import os
import numpy as np
import math
import matplotlib.pyplot as plt
from numpy import linalg as LA
import csv

"""
This module creates a .txt-file with name defined via variable "fileName".

The file contains points sampled on a circle. The portion of the sphere is variable via the section variable below. 

Size of sampled points is (N,3).
"""

fileName = 'circle.txt'

if os.path.isfile(fileName) == False:
    radius = 5
    'define the section of the circle. Examples: section = 1 returns full circle. section = 1/2 returns half the circle'
    section = 1/4
    'use odd number of points (arrows can then be drawn exactly on median point)'
    number_points = 15

    'calculating the points on the circle'
    circle_points = [(math.cos(2*math.pi/(number_points/section)*x)*radius,
                      math.sin(2*math.pi/(number_points/section)*x)*radius) for x in range(0, number_points)]

    'storing to fileName'
    circle_points_np = np.array(circle_points)

    with open(fileName, mode='w') as f:
        writer = csv.writer(f)
        writer.writerows(circle_points_np)
    f.close()
else:
    'File already exists'
    print('Attention: File called "'+fileName+'" already exists. Did not create a file.')



